import request from '@/utils/request'
import qs from 'qs'
import { baseUrl } from "../../../config/baseUrl";

export const api = {
  querySubList: baseUrl + '/print/v1.0/getRqcDetails',
  getRqcHzPrintData: baseUrl + '/print/v1.0/getRqcHzPrintData',
  getRqcInstockLabelPrintData: baseUrl + '/print/v1.0/getRqcInstockLabelPrintData	',
  getRqcDetailsPrintData: baseUrl + '/print/v1.0/getRqcDetailsPrintData',

  getRqcDetailsPrintDataNew: baseUrl + '/print/v1.0/getRqcDetailsPrintDataNew',
  uploadCode:baseUrl + '/print/v1.0/uploadCircubillRcvDetails',

};

export function querySubList(parameter) {
  return request({
    method: 'get',
    url: api.querySubList,
    params: parameter,
  })
}

//汇总单打印
export function getRqcDetailsPrintDataNew(parameter) {
    return request({
      method: 'post',
      url: api.getRqcDetailsPrintDataNew,
      data: parameter,
    })
  }

//汇总单打印
export function getRqcHzPrintData(parameter) {
  return request({
    method: 'post',
    url: api.getRqcHzPrintData,
    data: parameter,
  })
}
// 标签打印
export function getRqcInstockLabelPrintData(parameter) {
  return request({
    method: 'post',
    url: api.getRqcInstockLabelPrintData,
    data: parameter,
  })
}
// 明细打印
export function getRqcDetailsPrintData(parameter) {
  return request({
    method: 'post',
    url: api.getRqcDetailsPrintData,
    data: parameter,
  })
}
// 上传监管码
export function uploadCode(parameter) {
  return request({
    method: 'post',
    url: api.uploadCode,
    data: parameter,
  })
}